about summary refs log tree commit diff
path: root/profile/.profile.d/50_diff.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--profile/.profile.d/50_diff.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/profile/.profile.d/50_diff.sh b/profile/.profile.d/50_diff.sh
new file mode 100644
index 0000000..9253657
--- /dev/null
+++ b/profile/.profile.d/50_diff.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+_diffs="
+colordiff
+diff
+"
+
+for _diff in ${_diffs}; do
+	# shellcheck disable=SC2139
+	if command -v "${_diff}" >/dev/null 2>&1; then
+		export DIFF="${_diff}"
+
+		alias d="${DIFF}"
+		if ! command -v di >/dev/null 2>&1; then
+			alias di="${DIFF}"
+		fi
+
+		break
+	fi
+done
+
+unset _diff _diffs

Consider giving Nix/NixOS a try! <3